Jun 262012
 

# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs
from random import *

#offsetCarve関数
def offsetCurve(_curve,_point,_distance):
rs.OffsetCurve(_curve,_point,_distance)

#オフセットするオブジェクトの選択
obj = rs.GetObject("Select a curve", rs.filter.curve)
#オフセットする距離の入力
number = rs.GetInteger("Enter a value")
#オフセットする方向を指定
direction = rs.GetPoint("Click offset direction")

#offsetCurve関数呼び出し
offsetCurve(obj,direction,number)

(作成:佐々木雅宏)

 Leave a Reply

(required)

(required)

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>